play.server.ssl

## Class SslPlayHandler

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - play.server.PlayHandler
    - - play.server.ssl.SslPlayHandler

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler

    public class SslPlayHandler
    extends PlayHandler

### Nested Class Summary

### Nested classes/interfaces inherited from class play.server.PlayHandler

`PlayHandler.NettyInvocation, PlayHandler.WebSocketInvocation`

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`org.jboss.netty.channel.ChannelHandler.Sharable`

### Field Summary

### Fields inherited from class play.server.PlayHandler

`pipelines`

### Constructor Summary

Constructors
Constructor and Description
`SslPlayHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `channelConnected(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelStateEvent e)`
`void` `exceptionCaught(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ExceptionEvent e)`
`Http.Request` `parseRequest(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.handler.codec.http.HttpRequest nettyRequest, org.jboss.netty.channel.MessageEvent e)`

### Methods inherited from class play.server.PlayHandler

`addToResponse, channelDisconnected, closeChunked, copyResponse, getBindingForErrors, getCookies, getHeaders, isKeepAlive, isModified, messageReceived, serve404, serve500, serveStatic, setContentLength, writeChunk, writeResponse`

### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

`channelBound, channelClosed, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SslPlayHandler

    public SslPlayHandler()

### Method Detail

#### parseRequest

    public Http.Request parseRequest(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                     org.jboss.netty.handler.codec.http.HttpRequest nettyRequest,
                                     org.jboss.netty.channel.MessageEvent e)
                              throws java.lang.Exception

Overrides:
  `parseRequest` in class `PlayHandler`
Throws:
  `java.lang.Exception`

#### channelConnected

    public void channelConnected(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                 org.jboss.netty.channel.ChannelStateEvent e)
                          throws java.lang.Exception

Overrides:
  `channelConnected` in class `org.jboss.netty.channel.SimpleChannelUpstreamHandler`
Throws:
  `java.lang.Exception`

#### exceptionCaught

    public void exceptionCaught(org.jboss.netty.channel.ChannelHandlerContext ctx,
                                org.jboss.netty.channel.ExceptionEvent e)
                         throws java.lang.Exception

Overrides:
  `exceptionCaught` in class `PlayHandler`
Throws:
  `java.lang.Exception`